Attribute VB_Name = "Module1"
Option Explicit

Public fMainForm As frmMain
'===========================
'CLASSIC INTERFACE
'===========================
Public Declare Function FT_ListDevices Lib "FTD2XX.DLL" (ByVal arg1 As Long, ByVal arg2 As String, ByVal dwFlags As Long) As Long
Public Declare Function FT_GetNumDevices Lib "FTD2XX.DLL" Alias "FT_ListDevices" (ByRef arg1 As Long, ByVal arg2 As String, ByVal dwFlags As Long) As Long

Public Declare Function FT_Open Lib "FTD2XX.DLL" (ByVal intDeviceNumber As Integer, ByRef lngHandle As Long) As Long
Public Declare Function FT_Close Lib "FTD2XX.DLL" (ByVal lngHandle As Long) As Long



'===========================
'CHIP ID
'===========================
Public Declare Function FTID_GetNumDevices Lib "FTChipID.DLL" (ByRef arg1 As Long) As Long
Public Declare Function FTID_GetDeviceSerialNumber Lib "FTChipID.DLL" (ByVal dwDeviceIndex As Long, ByVal lpSerialBuffer As String, ByVal BufferLength As Long) As Long
Public Declare Function FTID_GetDeviceDescription Lib "FTChipID.DLL" (ByVal dwDeviceIndex As Long, ByVal lpDescriptionBuffer As String, ByVal BufferLength As Long) As Long
Public Declare Function FTID_GetDeviceLocationID Lib "FTChipID.DLL" (ByVal dwDeviceIndex As Long, ByRef lpLocationIDBuffer As Long) As Long
Public Declare Function FTID_GetDeviceChipID Lib "FTChipID.DLL" (ByVal dwDeviceIndex As Long, ByRef lpChipIDBuffer As Long) As Long
Public Declare Function FTID_GetDllVersion Lib "FTChipID.DLL" (ByVal lpDllBuffer As String, ByVal BufferLength As Long) As Long

Public Declare Function FTID_GetErrorCodeString Lib "FTChipID.DLL" (ByVal lpLanguage As String, ByVal ErrorCode As Long, ByVal lpErrorBuffer As String, ByVal BufferLength As Long) As Long



' Return codes
Public Const FT_OK = 0
Public Const FT_INVALID_HANDLE = 1
Public Const FT_DEVICE_NOT_FOUND = 2
Public Const FT_DEVICE_NOT_OPENED = 3
Public Const FT_IO_ERROR = 4
Public Const FT_INSUFFICIENT_RESOURCES = 5
Public Const FT_INVALID_PARAMETER = 6
Public Const FT_INVALID_BAUD_RATE = 7
Public Const FT_DEVICE_NOT_OPENED_FOR_ERASE = 8
Public Const FT_DEVICE_NOT_OPENED_FOR_WRITE = 9
Public Const FT_FAILED_TO_WRITE_DEVICE = 10
Public Const FT_EEPROM_READ_FAILED = 11
Public Const FT_EEPROM_WRITE_FAILED = 12
Public Const FT_EEPROM_ERASE_FAILED = 13
Public Const FT_EEPROM_NOT_PRESENT = 14
Public Const FT_EEPROM_NOT_PROGRAMMED = 15
Public Const FT_INVALID_ARGS = 16
Public Const FT_OTHER_ERROR = 17

' Word Lengths
Public Const FT_BITS_8 = 8
Public Const FT_BITS_7 = 7

' Stop Bits
Public Const FT_STOP_BITS_1 = 0
Public Const FT_STOP_BITS_1_5 = 1
Public Const FT_STOP_BITS_2 = 2

' Parity
Public Const FT_PARITY_NONE = 0
Public Const FT_PARITY_ODD = 1
Public Const FT_PARITY_EVEN = 2
Public Const FT_PARITY_MARK = 3
Public Const FT_PARITY_SPACE = 4

' Flow Control
Public Const FT_FLOW_NONE = &H0
Public Const FT_FLOW_RTS_CTS = &H100
Public Const FT_FLOW_DTR_DSR = &H200
Public Const FT_FLOW_XON_XOFF = &H400

' Purge rx and tx buffers
Public Const FT_PURGE_RX = 1
Public Const FT_PURGE_TX = 2

' Modem Status
Public Const FT_MODEM_STATUS_CTS = &H10
Public Const FT_MODEM_STATUS_DSR = &H20
Public Const FT_MODEM_STATUS_RI = &H40
Public Const FT_MODEM_STATUS_DCD = &H80

Public Const FT_EVENT_RXCHAR As Long = 1
Public Const FT_EVENT_MODEM_STATUS = 2

Const WAIT_ABANDONED As Long = &H80
Const WAIT_FAILD As Long = &HFFFFFFFF
Const WAIT_OBJECT_0 As Long = &H0
Const WAIT_TIMEOUT As Long = &H102

' Flags for FT_ListDevices
Public Const FT_LIST_BY_NUMBER_ONLY = &H80000000
Public Const FT_LIST_BY_INDEX = &H40000000
Public Const FT_LIST_ALL = &H20000000

' Flags for FT_OpenEx
Public Const FT_OPEN_BY_SERIAL_NUMBER = 1
Public Const FT_OPEN_BY_DESCRIPTION = 2

'FTID ChipID

' Return codes
Public Const FTID_SUCCESS = 0
Public Const FTID_INVALID_HANDLE = 1
Public Const FTID_DEVICE_NOT_FOUND = 2
Public Const FTID_DEVICE_NOT_OPENED = 3
Public Const FTID_IO_ERROR = 4
Public Const FTID_INSUFFICIENT_RESOURCES = 5

Public Const FTID_BUFER_SIZE_TOO_SMALL = 20
Public Const FTID_PASSED_NULL_POINTER = 21
Public Const FTID_INVALID_LANGUAGE_CODE = 22
Public Const FTID_INVALID_STATUS_CODE = &HFFFFFFFF



Private Const INFINITE As Long = 1000   '&HFFFFFFFF


Global lngHandle As Long
 
    

Sub Main()
    Set fMainForm = New frmMain
    fMainForm.Show
End Sub

